Skip to main content
GET
/
v1
/
tools
/
search
Search Tools
curl --request GET \
  --url https://api.xpander.ai/v1/tools/search \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.xpander.ai/v1/tools/search"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.xpander.ai/v1/tools/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "<string>",
    "name": "<string>",
    "description": "<string>",
    "logo": "<string>",
    "status": "<string>",
    "total_operations": 123,
    "using_built_in_auth": true,
    "connections": [
      {
        "id": "<string>",
        "name": "<string>",
        "access_scope": "<string>",
        "is_service_account": false,
        "owner": "<string>",
        "version": "<string>",
        "open_api_spec_id": "<string>",
        "created_at": "2023-11-07T05:31:56Z"
      }
    ],
    "transport": "<string>",
    "auth_type": "<string>",
    "url": "<string>"
  }
]
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

x-api-key
string
header
required

API Key for authentication

Query Parameters

query
string
required

Search query.

type
enum<string> | null

Filter by tool kind. Kind of attachable tool in the unified catalog.

Available options:
connector,
agent,
workflow,
custom_function,
mcp

Response

Successful Response

kind
enum<string>
required

What kind of tool this is.

Available options:
connector,
agent,
workflow,
custom_function,
mcp
id
string
required

Identifier to attach this tool: connector_id, agent_id, workflow_id, custom_function_id, or mcp registry id.

name
string
required

Display name.

description
string | null

What the tool does.

logo
string | null

Logo/icon identifier.

status
string | null

Connector status ('ready' means usable). Connectors only.

total_operations
integer | null

Number of operations available. Connectors only.

using_built_in_auth
boolean | null

Whether xpander manages auth for this connector.

connections
ConnectionSummary · object[] | null

Existing connections for this connector in your org. Connectors only.

transport
string | null

MCP transport. MCP only.

auth_type
string | null

MCP auth type. MCP only.

url
string | null

MCP server URL. MCP only.